<script setup>
import { computed, reactive } from 'vue';
import { Link } from '@inertiajs/inertia-vue3';

const props = defineProps({
    href: {
        type: String,
        default: '',
    },
    first: {
        type: Boolean,
        default: false,
    },
    last: {
        type: Boolean,
        default: false,
    }
});

</script>

<style scoped>
    .dropdownItem{
        width: 100%;
        padding: 8px 16px;
        font-weight: 600;
        white-space: nowrap;
    }
</style>

<template>
    <Link v-if="href !== ''" :href="href" onclick="window.emitter.emit('changeLoaderStatus', true, 'orbit')"
        class="dropdownItem text-whiteItem-3 bg-gradient-to-r hover:from-navItem-drophover to-transparent"
        v-bind:class=" {'rounded-t-md' : props.first, 'rounded-b-md' : props.last} ">
        <slot/>
    </Link>
    <div v-else class="dropdownItem text-whiteItem-3 bg-gradient-to-r hover:from-navItem-drophover to-transparent"
        v-bind:class=" {'rounded-t-md' : props.first, 'rounded-b-md' : props.last} ">
        <slot/>
    </div>
</template>

<script>
export default {
    data() {
        return {
        };
    },
    methods: {
    },
}
</script>